ModelSell Docs
VideosSeedance 2.0 / 2.5

Seedance 2.0 / 2.5 视频生成

POST
/api/v3/contents/generations/tasks

使用 Seedance 2.0 / 2.5 官方 content[] 格式创建异步视频生成任务。支持文生视频、图生视频、视频生视频、图像与音频组合、视频与音频组合,以及图像、视频、音频全模态引用。

素材支持自动上传。content[].image_url.urlcontent[].video_url.urlcontent[].audio_url.url 中直接传入公网可访问的 https:// 链接,系统会自动识别并上传素材,无需提前调用 /api/assets/upload

若希望使用 ModelSell 的通用视频格式,也可以调用 /v1/video/generations/v1/videos,通过 promptimageimagesmetadata.video_urlmetadata.audio_url 等字段提交。

需要通过素材 ID 复用图片、视频或音频时,也可以手动调用 /api/assets/upload 上传素材,素材状态为 Active 后可在 content[].*_url.url 中传入 asset://<asset_id>。 Seedance 2.5 新增 omni_reference_task_type,默认 auto,可选 referenceeditextend。编辑要求 reference_videoratio: adaptiveduration: -1;延长要求 reference_videoratio: adaptive。完整约束与渠道差异见 请求与返回参数

官方字段已于 2026-09-07 核对 https://docs.volcengine.com/docs/82379/1520757https://docs.volcengine.com/docs/82379/1521309。高级字段需所选渠道支持,通用格式不能假定透传全部原生字段。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3/contents/generations/tasks" \  -H "Content-Type: application/json" \  -d '{    "model": "doubao-seedance-2-5-260628",    "omni_reference_task_type": "reference",    "content": [      {        "type": "text",        "text": "参考图片中的产品外观,生成一段全新的户外广告视频。"      },      {        "type": "image_url",        "image_url": {          "url": "https://example.com/reference-image.jpg"        },        "role": "reference_image"      }    ],    "ratio": "16:9",    "duration": 10  }'
{
  "id": "task_UPUfjg0S3UXekH2OgTZBXyqgGhsxgkp6"
}
{
  "error": {
    "code": "InvalidParameter.TaskTypeMismatch",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}